AutoCAD Inventor :: Making Extrusion From Every Select Line In Part
Sep 16, 2011
i wanna making a extrusion from every select line in Part
/code
Public Sub test()
Dim oPartdoc As PartDocument
Set oPartdoc = ThisApplication.ActiveDocument
Dim oCompDef As PartComponentDefinition
Set oCompDef = oPartdoc.ComponentDefinition
Dim oSelectSet As SelectSet
I just completed a sketch for a simple part I'm working on. It contains some arcs, lines, and rectangles that I've drawn. When I went to extrude them to make the sketch 3D, not all of the shapes I created could be extruded, presumably because in my sketch the lines/arcs did not come together properly to create a closed shape.
I need to do a cut extrusion on a multibodied part and need to select the solids. As of right now I have to select each one individually rather than doing a drag box or something like that. how I can do this fast, I've got a multibody part w/ over 1000 solids (I didn't create it, yes I know this is probably excessive).
Inventor 2014. I have watched everything I can find and read many entries on related messages.
I create a part by creating rectangle on the XY of 90mm centered on 0,0. I add fillets on 3mm on all four corners. I then add two circles centered on 0,0 of diameters 45 mm and 41mm. What I would like to do is extrude the area between 41 mm and 45 mm circles to 10 mm and the rest of the rectangle outside of the circle 45 mm circle to 6 mm. The center of the part from center to the 41 mm circle is void or open.
I have read two solutions that use a "share sketch" function, that I can't find by right-clicking as indicated in the write-up.
As soon as I open a piece or try to make a new piece, it crashes! I can open the program but can't use it! I installed it and activated it and I can't use the program at all. I have sent many error reports beacuse I have opened it many times and had it crash many times and have always given my email address. Attached is the Error Report Details screen shot.
I have a 14 gauge sheet metal part that follows the profile in the attached picture. 7/8" legs with a 1/16" offset. Because it's 14 gauge, the contour flange won't create it. I need it to be able to be turned in to a flat pattern so that I may export it to a .dxf.
Is there another way to make this that will allow me to flat pattern it? I have a couple of pieces like this where the offset is very slim, so I am looking for a way to do all of them like this.
I am looking at building a support for a customers part. Trouble is the part is curves and surfaces. Part doesnt have too many "flat" sides to it. I am struggling with how to get what I need. In this video, I am showing how the part will move onto the support (support is clear blue).
I created an assembly, then derived the iam into a part... subtracting out where the part will sit in the support. The problem I am having is removing the material so the part can move into the support from above.
Here is a picture of the support with the part subtracted out. I would post this, but the filesize is pretty large (18mb).
I would like to create an effect similar to punching/stamping something in wet sand. Picture this... you have a punch/stamp and it says "Hello". You punch it into the wet sand at the beach and it keeps the form of the punch/stamp. You can see the interior angles/shapes, but not the exterior as it is part of the rest of the beach I want to be able to create that effect in a graphic/drawing.
If you want to look at it another way:
Say you have a glass. You also have a hole in the table to hold the glass. Once in the hole, you see only the very top of it and the inside of the glass... but that which is below the table is not seen. If looked at from above, you can see the interior that is below the table, but not the exterior.
The parts in my assembly all use the same appearance. When I come to to do a render of my model however it is rendering one of these shiny (I think thats what it called).
See attached images
Image1 shows how I want it to look (this is the opposite end of my assembly) Image2 shows the problem Image3 shows a different appearance give to the problem part
The problem part is derived from the other end of the assembly (the part show in image1). All the parts at this end of the assembly are created the same way. They all render fine its just this one. I have tried recreating the part but still end up with the same result.
Now I'm trying to make another part, which will be aluminium plate that needs to have holes in exactly same points as the motor. My assembly containts both that parts.
What I'm trying to do is to reference in sketch a point that comes from different part (motor).
I could do it by hand, make it look that the holes are on top of each other but then there will be an error which doesn't seem professional.
In some tutorial on yt I have only found that using points one can reference the holes more easily, but it didn't show how.
I'm running 2012, and once in a while while in an assembly, I can no longer select the part in the display (alike to selecting the part in the browser) and instead can only select faces of parts. I think I might be hitting something when I right click, though I'm unsure. How to reverse it?
how to select Content Center Part Automatically. Now I use pick methode for select CC part.
Here's my code :
Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click 'Membuat koneksi ke Inventor Dim m_invApp As Inventor.Application = Nothing m_invApp =
I am used to selecting a part then selecting find in browser. I have lost this ability due to my selection not staying hilighted. As soon as I move pointer away from part, the selection hi-light disappears. I looked in App Options, but unless I missed it....
Product Design Suite Ultimate 2014 Vault Professional 2014 Windows 7 Pro SP1 HP-Z400: 2.67 GHz 12 Gb Ram Nvidia Quadro FX1800 driver 276.42
I am trying to fold the attached sheet metal part that is created from an imported ACAD drawing. After cleaning up the sketch I created the face and then created a sketch with the first bend line on it, but when I attempt to flod the part it will not sellect the bend line. I have attempted selecting the line before selecting fold and that does not work. I have placed the sketch both on the part surface and the datum plane. The only line I can get fold to select are the two ends of the part but I don't see how anything could be bent off the end of the part.
Inventor Premium 2013 SP1.1 Vault 2013- plain vanilla version HP G71 notebook celeron cpu w 4gb RAM and 64 bit system Win 7 home premium
When I draw a sketch while making a dwg drawing, the lines are light green that is nearly invisible on the background color. How can I change the line color?
I'm using Inventor professional 2012 student edition.
It's possible to select a part in a view on a 2D drawing and change the color of all the lines belonging to that part.
This is really useful, but is there a way of assigning a line color to the .ipt file it's self, so that every time I place a view of that part the lines are automatically set to specified color?
This would also be useful within a single drawing when there are multiple views of the same assembly. e.g.
Part A would always be drawn in Red, Part B would always be green. This would really distinguishing between parts in complex assemblies. (Which I realise can be done manually but I think it could be done faster with less chance of making mistakes.) Currently, I color all the parts, but then if I make an additional view, the new view is all in black.
My part unit length has been setup as millimeter(mm).Once I created a line within 2d sketch by VBA script, the result of length always become to 10 times of value.For example, the two points of line is (0,0) and (0,4). But the result of length measured is 40.
My problem is how to create a line with part document setting?
I have a STEP file which is of a part similar to the rudder of a boat or an oar blade but twisted at the end, and I have to draw the split line to match the profile of the blade. I imagine I have to use a 3D sketch because of the twist and we are guessing that the split line will run down the apex of the blade, but I don't know how to get the 3D sketch to "stick" to the apex (there is no real apex as it's curved).
A large part of my job is creating installation drawings for plants (equipment and catwalks). Usually what I like to provide the installers is a plan view showing the equipment / catwalks with the base pads of the supports visible as hidden lines. If I just turn on hidden lines in a view, then it is too crowded.
However, manually turning on hidden lines for hundreds of base pads (potentially) is a huge time-sink and usually involves going through the browser manually to find them all. What I would like to do is automate the procedure to some extent. Usually there is only 4 or 5 different parts in an assembly that I need to have hidden lines for.
master im new in autocad 2014....i have a problem now when i select line or object it highlight or make a broken line....but when i select the other object or line my previous selected back to normal..i mean i can select only one line if i use single selecting....how to select all object or line with single select continuously, except using hold left click...
I am a beginner when a extrude a feature and select a part surface for new sketch now i want is to offset that surface but i can,t there is + sign with mouse icon and something like fully constrained is written in down the window.
When making a line longer with no dims on the line whats the best way to do this? Stretch command or grab one end point and type the legnth you want the line to be longer by? ie: 2" long line needs the be 2-1/2" long
I will use the stretch command without problems. 2" long line: stretch command: type .5, line is now 2-1/2" long
We have a drafter (uses 2011LT) that will grab one end point stretch the line in the direction they want the change, type the added length and the line goes to the added length..2" long line: grab right side point stretch line to right: type .5, line is now 1/2" long
They use quick properties but they don't type the change in it, they type it in the command line.
They donot stretch first they just grab the point and move to the right and type .5" and the 2" line is now .5" lone when it should be 2-1/2" long. They do not have the dynamic input on. could that be the issue? When I do the same my 2" line becomes 2-1/2" long. What would be causing the difference? This just started a few days ago after we did the update for 2011LT
if I select a line, then enter the move command, the line unselects also when I select a line, then hit delete, the line is still there both of these used to work
I wanted to add an extrusion to an asembly. I was able to highlight the required geometry and create the feature, but is not showing up. In the browser, there's a red "up arrow" beside it. Why is it not showing?